#ifndef WiFiNetwork_h
#define WiFiNetwork_h

#include <Arduino.h>

#include <WiFi.h>


// define class functions and variables
class WiFiNetwork
{
    // which are accessible by main program
    public:

		// constructor (function name = class name)
		WiFiNetwork();
		
		// Put ESP32 in both modes in parallel: Soft Access Point and station in router network (LAN)
		int SetBothModesNetworkStationAndAccessPoint();

		// Connect to router network and return 1 (success) or -1 (no success)
		int RouterNetworkConnect(char* txtSSID, char* txtPassword);

		// Disconnect from router network and return 1 (success) or -1 (no success)
		int RouterNetworkDisconnect();

		// Initialize Soft Access Point with ESP32
		// ESP32 establishes its own WiFi network, one can choose the SSID
		int AccessPointStart(char* AccessPointNetworkSSID);

		// Get IP-Address of ESP32 in Router network (LAN), in String-format
		String GetOwnIPAddressInRouterNetwork();
		
		// Get IP-Address of ESP32 in own network, in String-format
		String GetIPAddressInOwnNetwork();

};

#endif